$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.12-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.12-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'E058FE17F8F785DBEB1C27F3A2929749194A60DA973845FC7A2CEB2A98B477F6'
  checksumType = 'sha256'
  checksum64 = 'E058FE17F8F785DBEB1C27F3A2929749194A60DA973845FC7A2CEB2A98B477F6'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.29.12-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
